<?php

namespace FiloBlu\DisableShop\Plugin\Magento\Catalog\Model\Layer;

class FilterList {

    protected $_helper;

    public function __construct(
    \FiloBlu\DisableShop\Helper\Data $helper
    ) {
        $this->_helper = $helper;
    }

    public function aroundGetFilters(
    $subject, $proceed, \Magento\Catalog\Model\Layer $layer
    ) {

        $result = $proceed($layer);

        if ($this->_helper->canHidePrice()) {
            $_indexFilterToRemove = null;
            $_currentIndex = -1;

            foreach ($result as $filter) {
                $_currentIndex++;
                try {

                    if ($filter->getAttributeModel()->getAttributeCode() == "price") {
                        $_indexFilterToRemove = $_currentIndex;
                    }
                } catch (\Exception $ex) {
                    
                }
            }

            if ($_indexFilterToRemove) {
                unset($result[$_indexFilterToRemove]);
            }
        }

        return $result;
    }

}
